## org.h2.engine
Class QueryStatisticsData

    java.lang.Object
      org.h2.engine.QueryStatisticsData

    public class QueryStatisticsData

extends java.lang.Object

Maintains query statistics.

Nested Class Summary
`static class` `QueryStatisticsData.QueryEntry` The collected statistics for one query.

Constructor Summary
`QueryStatisticsData(int maxQueryEntries)`

Method Summary
`java.util.List<QueryStatisticsData.QueryEntry>` `getQueries()`
`void` `setMaxQueryEntries(int maxQueryEntries)`
`void` `update(java.lang.String sqlStatement, long executionTime, int rowCount)` Update query statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryStatisticsData

    public QueryStatisticsData(int maxQueryEntries)

Method Detail

### setMaxQueryEntries

    public void setMaxQueryEntries(int maxQueryEntries)

### getQueries

    public java.util.List<QueryStatisticsData.QueryEntry> getQueries()

### update

    public void update(java.lang.String sqlStatement,
                       long executionTime,
                       int rowCount)

  Update query statistics.

  Parameters:
    `sqlStatement` - the statement being executed
    `executionTime` - the time in milliseconds the query/update took to execute
    `rowCount` - the query or update row count